
libname staff 'F:\aqtag\pm naaqs sp\data';
data a;  set staff.Pmc_daily_bysite1284;
in=1;
run;
proc sort; by site; 
data merg; merge a pmr.meta; by site;
if pmreg ne 0;
if meanday ne .;
data merg2;
set merg;
lev=pmreg;
if meanday=0 then ratio=0;
else ratio=maxday/meanday;
run;
proc sort; by lev;
proc univariate noprint data=merg2;
by lev;
var ratio;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

filename gsasfile "d:\pm naaqs\summer04\box_xhr_v_24.gif";
GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=6 v=none;
axis1 label=none offset=(5) minor=none value=none;
axis2 label=("Ratio") order=(1 to 12 by 1) c=black;
run;

proc gplot data=a;
plot val * lev /
vref=(2 to 11 by 1)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;
