libname dat 'F:\aqtag\lqn\PMStaffPaper04\data';
libname staff 'F:\aqtag\pm naaqs sp\data';
data a; set staff.Pmc_hourly_bysite_1284;
proc sort; by site zdate;
data b; set staff.Pmc_daily_bysite1284;
proc sort; by site zdate;
run;
data merg; merge a b; by site zdate; 
run;
proc sort; by site;
data merg_h_24; merge merg pmr.meta; by site;
if pmreg ne 0;
if zdate ne .;
proc sort; by site zdate;
run;

proc sort data=b; by site;
data merg_x_24; merge b pmr.meta; by site;
if pmreg ne 0;
if zdate ne .;
run;


data merg3;
set merg_h_24;
*set merg_x_24;
by site zdate;
if first.zdate then do; lev=pmreg; v=meanday; output; end;
lev=pmreg+.4; v=pmc; output;
run;
proc sort; by lev;
proc univariate noprint data=merg3;
by lev;
var v;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

filename gsasfile "d:\pm naaqs\summer04\box_xhr_v_24.gif";
GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=3 v=none;
axis1 label=none offset=(3) order = (1 1.4 2 2.4 3 3.4 4 4.4 5 5.4 6 6.4) minor=none value=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;

proc gplot data=a;
plot val * lev /
vref=(10 to 90 by 10)
lvref=3
href= (1.7 2.7 3.7 4.7 5.7)
haxis=axis1
vaxis=axis2;
run;
quit;
proc sql; select distinct pmreg ,pmregdesc  from merg_x_24; quit;