libname dat 'F:\aqtag\lqn\PMStaffPaper04\data';
libname staff 'F:\aqtag\pm naaqs sp\data';
data a; set  dat.pmf_daily_bysite1284;
in=1;
run;
proc sort; by site poc sdate;
data dat; set staff.P88101h_0103;
proc sort; by site poc sdate;
run;
data merg; merge a dat; by site poc sdate; if in=1;
run;
proc sort; by site;
data merg2; merge merg pmr.meta; by site;
if pmreg ne 0;
proc sort; by site poc sdate;
data merg3;
set merg2;
by site poc sdate;
if first.sdate then do; lev=pmreg; v=meanday; output; end;
lev=pmreg+.4; v=maxday; output;
run;
proc sort; by lev;
proc univariate noprint data=merg3;
by lev;
var v;
output out=uniout min=MIN p5=PCT05 q1=PCT25 median=MEDIAN q3=PCT75
p95=PCT95 max=MAX mean=mmean n=n;
run;
data a; set uniout;
DO I=1 TO 10;
val=pct95; output;
val=pct05; output;
END;
do i=1 to 26;
val=pct25; output;
val=pct75; output;
val=median; output;
END;
VAL=MIN; OUTPUT;
VAL=MAX; OUTPUT;
run;

filename gsasfile "d:\pm naaqs\summer04\box_xhr_v_24.gif";
GOPTIONS reset=all dev=gif
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=3 v=none;
axis1 label=none offset=(2)order=(0 to 8)  minor=none value=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;

proc gplot data=a;
plot val * lev /
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
href= (1.7 2.7 3.7 4.7 5.7 6.7)
haxis=axis1
vaxis=axis2;
run;
quit;
